// Device.cpp : Implementation of CDevice

#include "stdafx.h"
#include "Device.h"


// CDevice


STDMETHODIMP CDevice::get_DeviceName(BSTR* pVal)
{
	*pVal=::SysAllocString((OLECHAR *)m_pDC->sDeviceName);

	return S_OK;
}

STDMETHODIMP CDevice::put_DeviceName(BSTR newVal)
{
	m_pDC->sDeviceName=::SysAllocString((OLECHAR *)newVal);

	return S_OK;
}

STDMETHODIMP CDevice::get_MinLatency(LONG* pVal)
{
	*pVal=m_pDC->nMinLatency;

	return S_OK;
}

STDMETHODIMP CDevice::put_MinLatency(LONG newVal)
{
	m_pDC->nMinLatency=newVal;

	return S_OK;
}

STDMETHODIMP CDevice::get_MaxLatency(LONG* pVal)
{
	*pVal=m_pDC->nMaxLatency;

	return S_OK;
}

STDMETHODIMP CDevice::put_MaxLatency(LONG newVal)
{
	m_pDC->nMaxLatency=newVal;

	return S_OK;
}

STDMETHODIMP CDevice::get_Loss(LONG* pVal)
{
	*pVal=m_pDC->nLoss;

	return S_OK;
}

STDMETHODIMP CDevice::put_Loss(LONG newVal)
{
	m_pDC->nLoss=newVal;

	return S_OK;
}

STDMETHODIMP CDevice::get_OutOfOrder(LONG* pVal)
{
	*pVal=m_pDC->nOutOfOrder;

	return S_OK;
}

STDMETHODIMP CDevice::put_OutOfOrder(LONG newVal)
{
	m_pDC->nOutOfOrder=newVal;

	return S_OK;
}

STDMETHODIMP CDevice::get_BandWidth(LONG* pVal)
{
	*pVal=m_pDC->nBandWidth;

	return S_OK;
}

STDMETHODIMP CDevice::put_BandWidth(LONG newVal)
{
	m_pDC->nBandWidth=newVal;

	return S_OK;
}
